Detach one generated page so it can be edited
:::openapi-operation DELETE /api/v1/workspaces/{workspace}/openapi/pages/{slug} AUTH bearerAuth :::
:::codesamples open Code examples
curl -X DELETE "https://contextowl.co/api/v1/workspaces/string/openapi/pages/string" \
-H "Accept: application/json" \
-H "Authorization: Bearer <token>"
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Example {
public static void main(String[] args) throws Exception {
var client = HttpClient.newHttpClient();
var request = HttpRequest.newBuilder()
.uri(URI.create("https://contextowl.co/api/v1/workspaces/string/openapi/pages/string"))
.header("Accept", "application/json")
.header("Authorization", "Bearer <token>")
.method("DELETE", HttpRequest.BodyPublishers.noBody())
.build();
var response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.statusCode());
System.out.println(response.body());
}
}
import urllib.request
url = "https://contextowl.co/api/v1/workspaces/string/openapi/pages/string"
headers = {
"Accept": "application/json",
"Authorization": "Bearer <token>",
}
data = None
req = urllib.request.Request(url, data=data, headers=headers, method="DELETE")
with urllib.request.urlopen(req) as res:
print(res.status)
print(res.read().decode())
const response = await fetch("https://contextowl.co/api/v1/workspaces/string/openapi/pages/string", {
method: "DELETE",
headers: {
"Accept": "application/json",
"Authorization": "Bearer <token>",
}
});
console.log(response.status);
console.log(await response.json());
package main
import (
"fmt"
"io"
"net/http"
"time"
)
func main() {
req, err := http.NewRequest("DELETE", "https://contextowl.co/api/v1/workspaces/string/openapi/pages/string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Accept", "application/json")
req.Header.Set("Authorization", "Bearer <token>")
client := &http.Client{Timeout: 30 * time.Second}
res, err := client.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
bodyBytes, err := io.ReadAll(io.LimitReader(res.Body, 10<<20))
if err != nil {
panic(err)
}
fmt.Println(res.StatusCode)
fmt.Println(string(bodyBytes))
}
// cargo add reqwest --features blocking
fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = reqwest::blocking::Client::new();
let response = client.request(reqwest::Method::DELETE, "https://contextowl.co/api/v1/workspaces/string/openapi/pages/string")
.header("Accept", "application/json")
.header("Authorization", "Bearer <token>")
.send()?;
println!("{}", response.status());
println!("{}", response.text()?);
Ok(())
}
:::
:::details open Parameters (2)
| NAME | IN | TYPE | REQUIRED | DESCRIPTION |
|---|---|---|---|---|
workspace |
path | string | yes | Workspace id, or - for the key's bound workspace |
slug |
path | string | yes | - |
:::
:::details open Success responses (200)
200
Success
Content-Type: application/json
| FIELD | TYPE | REQUIRED | DESCRIPTION |
|---|---|---|---|
archived |
boolean | yes | - |
author |
string | yes | - |
createdAt |
string (date-time) | yes | - |
encrypted |
boolean | yes | - |
isFolder |
boolean | yes | - |
kicker |
string | yes | - |
level |
integer | yes | - |
locked |
boolean | yes | - |
markdown |
string | yes | - |
method |
string | no | - |
nav |
string | yes | - |
navLabel |
string | yes | - |
section |
string | yes | - |
slug |
string | yes | - |
sort |
integer | yes | - |
source |
string | no | - |
sourceRef |
string | no | - |
status |
string | yes | - |
title |
string | yes | - |
updatedAt |
string (date-time) | yes | - |
updatedLabel |
string | yes | - |
views |
integer | yes | - |
visibility |
string | yes | - |
{
"archived": true,
"author": "string",
"createdAt": "string",
"encrypted": true,
"isFolder": true,
"kicker": "string",
"level": 0,
"locked": true,
"markdown": "string",
"method": "string",
"nav": "string",
"navLabel": "string",
"section": "string",
"slug": "string",
"sort": 0,
"source": "string",
"sourceRef": "string",
"status": "string",
"title": "string",
"updatedAt": "string",
"updatedLabel": "string",
"views": 0,
"visibility": "string"
}
:::
:::details Error responses (400, 401, 403, 404, 429)
400
Bad request
Content-Type: application/json
| FIELD | TYPE | REQUIRED | DESCRIPTION |
|---|---|---|---|
error |
object | yes | - |
{
"error": {
"code": "string",
"details": null,
"message": "string",
"status": 0
}
}
401
Unauthorized
Content-Type: application/json
| FIELD | TYPE | REQUIRED | DESCRIPTION |
|---|---|---|---|
error |
object | yes | - |
{
"error": {
"code": "string",
"details": null,
"message": "string",
"status": 0
}
}
403
Forbidden
Content-Type: application/json
| FIELD | TYPE | REQUIRED | DESCRIPTION |
|---|---|---|---|
error |
object | yes | - |
{
"error": {
"code": "string",
"details": null,
"message": "string",
"status": 0
}
}
404
Not found
Content-Type: application/json
| FIELD | TYPE | REQUIRED | DESCRIPTION |
|---|---|---|---|
error |
object | yes | - |
{
"error": {
"code": "string",
"details": null,
"message": "string",
"status": 0
}
}
429
Rate limited
Content-Type: application/json
| FIELD | TYPE | REQUIRED | DESCRIPTION |
|---|---|---|---|
error |
object | yes | - |
{
"error": {
"code": "string",
"details": null,
"message": "string",
"status": 0
}
}
:::